<?xml version="1.0"?>
<!DOCTYPE lrcsml:config-spec PUBLIC
  "-//LogReport.ORG//DTD Lire Report Configuration Specification Markup Language V1.0//EN"
  "http://www.logreport.org/LRCSML/1.0/lrcsml.dtd">
<lrcsml:config-spec xmlns="http://www.logreport.org/LRCML/"
                    xmlns:lrcsml="http://www.logreport.org/LRCSML/">
 <lrcsml:report-config name="syslog_default">
    <param name="syslog_default">
      <param name="id">syslog_default</param>
      <param name="sections">
        <param name="section">
          <param name="specs">
            <param name="syslog:messages-by-facility">
              <param name="id">messages-by-facility.0</param>
            </param>
            <param name="syslog:messages-by-level">
              <param name="id">messages-by-level.0</param>
            </param>
            <param name="syslog:top-hosts">
              <param name="hosts_to_show">10</param>
              <param name="id">top-hosts.0</param>
            </param>
            <param name="syslog:messages-by-period">
              <param name="period">1h</param>
              <param name="id">messages-by-period.0</param>
            </param>
          </param>
          <param name="title">Overview Reports</param>
          <param name="superservice">syslog</param>
        </param>
        <param name="section">
          <param name="specs">
            <param name="syslog:top-processes">
              <param name="processes_to_show">10</param>
              <param name="id">top-processes.0</param>
            </param>
            <param name="syslog:top-messages">
              <param name="messages_to_show">50</param>
              <param name="id">top-messages.0</param>
            </param>
            <param name="syslog:top-messages-by-process">
              <param name="messages_to_show">5</param>
              <param name="processes_to_show">30</param>
              <param name="id">top-messages-by-process.0</param>
            </param>
          </param>
          <param name="title">Most Common Event Reports</param>
          <param name="superservice">syslog</param>
        </param>
        <param name="section">
          <param name="specs">
            <param name="syslog:top-processes-by-period">
              <param name="period">1h</param>
              <param name="processes_to_show">10</param>
              <param name="id">top-processes-by-period.0</param>
            </param>
            <param name="syslog:top-messages-by-period">
              <param name="messages_to_show">10</param>
              <param name="period">1h</param>
              <param name="id">top-messages-by-period.0</param>
            </param>
          </param>
          <param name="title">By Period Reports</param>
          <param name="superservice">syslog</param>
        </param>
        <param name="section">
          <param name="specs">
            <param name="syslog:top-messages-by-process">
              <param name="messages_to_show">0</param>
              <param name="processes_to_show">0</param>
              <param name="id">top-messages-by-process.1</param>
            </param>
          </param>
          <param name="filters">
            <param name="syslog:select-priority">
              <param name="level_match">emerg|crit|err|warning</param>
              <param name="facility_match">.*</param>
              <param name="id">select-priority.0</param>
            </param>
          </param>
          <param name="title">Warning or Higher Level Events</param>
          <param name="superservice">syslog</param>
        </param>
      </param>
    </param>
 </lrcsml:report-config>
</lrcsml:config-spec>
